%define        perl_major_ver  %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-XML-NamespaceSupport
Version:       1.12_9
Release:       1mamba
Summary:       XML::NamespaceSupport - A simple generic namespace support class
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Stefano Cotta Ramusino <stefano.cotta@openmamba.org>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/P/PE/PERIGRIN/XML-NamespaceSupport-%{version}.tar.gz
License:       GPL, Artistic
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This module offers a simple way to process namespaced XML names (unames) from within any application that may need them.
It also helps maintain a prefix to namespace URI map, and provides a number of basic checks.

%prep
%setup -q -n XML-NamespaceSupport-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Fri Nov 17 2017 Automatic Build System <autodist@mambasoft.it> 1.12_9-1mamba
- automatic update by autodist

* Mon Apr 10 2017 Automatic Build System <autodist@mambasoft.it> 1.12-1mamba
- automatic update by autodist

* Sun Apr 28 2013 Automatic Build System <autodist@mambasoft.it> 1.11-1mamba
- update to 1.11

* Tue Nov 13 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.09-4mamba
- perl 5.16 mass rebuild

* Wed Nov 05 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.09-3mamba
- automatic rebuild by autodist

* Thu Sep 20 2007 Aleph0 <aleph0@openmamba.org> 1.09-2mamba
- rebuilt

* Mon Feb 27 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.09-1qilnx
- update to version 1.09 by autospec
- specfile fixed and updated
- fixed license
- architecture changed to noarch

* Sun Jul 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 1.08-1qilnx
- first build
